%bcond_without static

Name:           libXt
Version:        1.3.0
Release:        2
License:        MIT
Summary:        X.Org X11 libXt runtime library
URL:            https://www.x.org
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz

Patch1000:      libXt-support-sw_64.patch

BuildRequires:  xorg-x11-util-macros autoconf automake libtool make glib2-devel
BuildRequires:  pkgconfig(xproto) pkgconfig(x11) pkgconfig(sm)

Requires:       libX11 >= 1.6

%description
X.Org X11 libXt runtime library

%package        devel
Summary:        X.Org X11 libXt development package
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --enable-unit-tests --with-xfile-search-path="%{_sysconfdir}/X11/%%L/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%l/%%T/\%%N%%C%%S:%{_sysconfdir}/X11/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%L/%%T/%%N%%S:%{_sysconfdir}/X\11/%%l/%%T/%%N%%S:%{_sysconfdir}/X11/%%T/%%N%%S:%{_datadir}/X11/%%L/%%T/%%N%%C%%S:%{_datadir}/X1\1/%%l/%%T/%%N%%C%%S:%{_datadir}/X11/%%T/%%N%%C%%S:%{_datadir}/X11/%%L/%%T/%%N%%S:%{_datadir}/X11/%%\l/%%T/%%N%%S:%{_datadir}/X11/%%T/%%N%%S" \
%if %{with static}
    --disable-static
%endif

V=1 %make_build

%check
make check

%install
%make_install
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*
%dir %{_datadir}/X11/app-defaults

%files devel
%defattr(-,root,root)
%{_includedir}/X11/*.h
%{_libdir}/*.so
%if %{without static}
%{_libdir}/*.a
%endif
%{_libdir}/pkgconfig/*.pc

%files help
%defattr(-,root,root)
%{_mandir}/man3/*.3*
%{_docdir}/%{name}/*.xml

%changelog
* Wed Jul 17 2024 yangchenguang <yangchenguang@kylinsec.com.cn> - 1.3.0-2
- Modify sw_64 patch use all arch

* Thu Jul 20 2023 zhangpan <zhangpan103@h-partners.com> - 1.3.0-1
- update to 1.3.0

* Wed Nov 23 2022 wuzx<wuzx1226@qq.com> - 1.2.1-4
- Add sw64 architecture

* Sat Oct 22 2022 wangkerong <wangkerong@h-partners.com> - 1.2.1-3
- disable static library by default

* Mon Jun 06 2022 wangkerong <wangkerong@h-partners.com> - 1.2.1-2
- enable test

* Thu Nov  25 2021 xingxing <xingxing9@huawei.com> - 1.2.1-1
- updata to 1.2.1

* Fri Jul 24 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.2.0-0
- updata package

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.5-11
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.5-10
- Package init
